using System.Text.Json;
using System.Text.Json.Serialization;

namespace Gatus.To.MonA.Models;

public record GatusToGatusConfiguration(string? BaseUniformResourceLocator,
                                        string? Key,
                                        string? Token) {

    public override string ToString() {
        string result = JsonSerializer.Serialize(this, GatusToGatusConfigurationSourceGenerationContext.Default.GatusToGatusConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(GatusToGatusConfiguration))]
internal partial class GatusToGatusConfigurationSourceGenerationContext : JsonSerializerContext {
}